Bug 1299161 - serial console plymouth-theme 'text' on dnf upgrade loops continously
serial console plymouth-theme 'text' on dnf upgrade loops continously
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-16 13:36 EST by Doug Maxey
Modified: 2016-12-20 12:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2016-01-16 13:36:00 EST
Description of problem:

updating a second system from f21 -> f23 after another system, of the workstation flavor went well. The system is this instance is a server with no graphics card, and the plymouth theme was text.

On the reboot, I assume something is happening, although I can't tell at this point anything other than the system is running from ttyS0.  No network response to be able to check.  Will let it run for 2 hours before power cycling.  As I file this bug it's been running for 63 minutes or so.

The output looks to be exactly 64 lines, all identical.  Nothing changes in the output.

bug 1267949 looks related.

Additional info:
what's being spewed:
============
Welcome to Fedora 21 (Twenty One)!

1;-1f1;-1f1;-1f1;-1f1;-1f Fedora 211;-1f1;-1f[  OK  ] Found device INTEL_SSDSC2BW120A4 1.
[  OK  ] Started Show Plymouth Boot Screen.
[  OK  ] Reached target Paths.
[  OK  ] Reached target Basic System.
[  OK  ] Found device /dev/mapper/fedora_bubba-root.
         Starting File System Check on /dev/mapper/fedora_bubba-root...
[    6.020053] systemd-fsck[394]: /dev/mapper/fedora_bubba-root: clean, 145109/3276800 files, 1880307/13107200 blocks
[  OK  ] Started File System Check on /dev/mapper/fedora_bubba-root.
[  OK  ] Found device /dev/mapper/fedora_bubba-swap.
[  OK  ] Started dracut initqueue hook.
         Mounting /sysroot...
[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
[  OK  ] Mounted /sysroot.
[  OK  ] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
[  OK  ] Started Reload Configuration from the Real Root.
[  OK  ] Reached target Initrd File Systems.
[  OK  ] Reached target Initrd Default Target.
         Starting dracut pre-pivot and cleanup hook...
[  OK  ] Started dracut pre-pivot and cleanup hook.
         Starting Cleaning Up and Shutting Down Daemons...
         Stopping Cleaning Up and Shutting Down Daemons...
[  OK  ] Stopped target Timers.
         Starting Plymouth switch root service...
[  OK  ] Stopped Cleaning Up and Shutting Down Daemons.
         Stopping dracut pre-pivot and cleanup hook...
[  OK  ] Stopped dracut pre-pivot and cleanup hook.
[  OK  ] Stopped target Remote File Systems.
[  OK  ] Stopped target Remote File Systems (Pre).
         Stopping dracut initqueue hook...
[  OK  ] Stopped dracut initqueue hook.
[  OK  ] Stopped target Initrd Default Target.
[  OK  ] Stopped target Basic System.
[  OK  ] Stopped target Slices.
[  OK  ] Stopped target Paths.
[  OK  ] Stopped target Sockets.
[  OK  ] Stopped target System Initialization.
         Stopping Apply Kernel Variables...
[  OK  ] Stopped Apply Kernel Variables.
         Stopping udev Coldplug all Devices...
[  OK  ] Stopped udev Coldplug all Devices.
[  OK  ] Stopped target Swap.
[  OK  ] Stopped target Local File Systems.
         Stopping udev Kernel Device Manager...
[  OK  ] Started Plymouth switch root service.
[  OK  ] Stopped udev Kernel Device Manager.
         Stopping dracut pre-udev hook...
[  OK  ] Stopped dracut pre-udev hook.
         Stopping dracut cmdline hook...
[  OK  ] Stopped dracut cmdline hook.
         Stopping Create Static Device Nodes in /dev...
[  OK  ] Stopped Create Static Device Nodes in /dev.
         Stopping Create list of required st... nodes for the current kernel...
[  OK  ] Stopped Create list of required sta...ce nodes for the current kernel.
[  OK  ] Closed udev Control Socket.
[  OK  ] Closed udev Kernel Socket.
         Starting Cleanup udevd DB...
[  OK  ] Started Cleanup udevd DB.
[  OK  ] Reached target Switch Root.
         Starting Switch Root...


============

been doing this for over an hour now.
Comment 1 Doug Maxey 2016-01-16 15:23:17 EST
It took 3 hours, but finally broke out of the loop and can now see the upgrade happening on the serial console.
Comment 2 Doug Maxey 2016-01-16 17:37:58 EST
the update did complete.  

Success on most functionality is fine. The major difference is that serial console is non-functional so far.
Comment 3 Fedora End Of Life 2016-11-24 09:59:37 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:56:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.